/* page layout.css for >VPAK< */

/* page rollover searchbox */
@media screen {
    .page-rollover-searchbox[aria-hidden="true"] {
        margin-top: -100vh;
    }

    .page-rollover-searchbox {
        position: fixed;
        top: 0;
        left: 0;
        z-index: 10;
        width: 100vw;
        height: 100vh;
        margin-top: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        background: rgba(51,51,51,0.9);
        transition: margin ease-in 0.5s;
    }
    .hide-while-init{
        top: -100vh !important;
    }
    .page-rollover-searchbox .search-label {
        position: absolute;
        left: 0;
        width: 4rem;
        bottom: calc(100% + 0.9375rem);
        color: rgb(255,255,255);
        font-size: 125%;
        font-weight: 600;
        text-transform: uppercase;
    }

    .page-rollover-searchbox .searchbox-inner {
        background: rgb(255,255,255);
        border: 0;
    }

    .page-rollover-searchbox .search-word {
        color: rgb(0,0,0);
        padding: 0.625rem 0.625rem;
    }

    .page-rollover-searchbox .search-close {
        position: absolute;
        right: 0;
        bottom: calc(100% + 0.625rem);
        color: rgb(255,255,255);
        background: none;
        border: 0;
        width: 2.5rem;
        height: 2.5rem;
        padding: 0.3125rem;
    }
    .page-rollover-searchbox .search-icon-close {
        position:relative;
        display: block;
        height: 0.3125rem;}

    .page-rollover-searchbox .search-icon-close::before,
    .page-rollover-searchbox .search-icon-close::after {
        content:"";
        background: rgb(255,255,255);
        display:block;
        height:0.3125rem;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
        position: absolute;
        left: 0;
        right: 0;
    }
    .page-rollover-searchbox .search-icon-close::after {
        -webkit-transform: rotate(-45deg);
        -ms-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }
}

/* page layout */
@media all {

    .page {
        overflow-x: hidden;
    }

    .wrap-inner {
        padding-left: 0.625rem;
        padding-right: 0.625rem;
    }

    .cc-window.cc-banner {
        -ms-flex-align: flex-start;
        align-items: flex-start;
    }
    .cc-menu { margin: 0.5em 0;}
    .cc-menu li + li { margin-left: 1em;}
    .cc-menu .item { padding: 0.5em 0; }

    /* sticky header */
    .page-header-sticky .page-header {
        position: fixed;
        z-index:10;
        top:0;
        left:0;
        right:0;
        max-width: 100rem;
        margin: 0 auto;
        background-color: rgb(255,255,255);
        box-shadow: none;
        transition: box-shadow .5s ease-in-out;
    }
    .page-header-sticky.page-scrolled .page-header {
        box-shadow: 0 .3125rem 1.25rem rgba(0,0,0,0.125);
    }
    .page-header-sticky {
        padding-top: 3.75rem;
    }

    .page-header-main-inner {
        padding-top: .625rem;
    }

    .page-logo {
        float: left;
        width: 2.5rem;
        margin-bottom: .625rem;
    }

    .logo-link {
        display: block;
        position: relative;
        z-index: 10;
    }

    .logo-img {
        max-width: 100%;
        display: block;
        z-index: 2;
        position: relative;
    }

    .logo-subline {
        position: absolute;
        bottom: 0;
        left: 100%;
        width: 300%;
        margin-left: .625rem;
        font-size: .625rem;
        font-size: .5625rem;
        line-height: .75rem;
        display: block;
        background-color: rgba(255,255,255,.875);
        font-style: normal;
        font-weight: 600;
        color: rgb(51,51,51);
    }

    .page-header-buttons {
        /*! padding: .625rem 0; */
        margin-right: -.625rem;
        float: right;
    }

    .nav-toggle {
        float:right;
    }

    .search-link,
    .search-toggle {
        float: left;
        margin-right: 0.125rem;
        padding: 0;
        -webkit-appearance: none;
        border: 0;
        background: none;
        width: 2.5rem;
        height: 2.5rem;
        text-decoration: none;
        margin-top: .125rem;
    }
    .search-link,
    .search-toggle-inner {
        justify-content: center;
        align-items: center;
    }

    .search-link .fa,
    .search-toggle .fa {
        display: block;
        font-size: 162.5%;
    }

    .page-modifier-search .search-link,
    .page-modifier-search .search-toggle,
    .page-modifier-search .page-rollover-searchbox { display: none !important; }

    /* stage */
    .page-stage .ce-grid-slider,
    .page-stage .ce-element { margin: 0; }

    .page-stage .ce-gallery { padding: 0 !important; }

    .page-stage .ce-row { margin: 0; }
    .page-stage .ce-column { margin: 0; padding: 0; }
    /* stage may have a heading */
    .page-stage .ce-slider .ce-bodytext ,
    .page-stage .ce-slider ,
    .page-stage .ce-element .ce-textmedia {
        background: rgb(174,18,37);
    }

    .page-stage .slick-dots {
        position: relative;
        text-align: center;
        margin: 0.625rem 0;
        margin: 0 0 0.625rem 0;
        color: rgb(255,255,255);
        display: block;
    }

    .page-stage .ce-frame-headerimage {
        margin: 0 -30vw;
    }
    .page-stage .ce-frame-headerimage .ce-header {
        position: absolute;
        bottom: 0.625rem;
        left: 50vw;
        margin: 0;
        margin-left: calc(-50vw + 0.625rem);
        color: rgb(255,255,255);
        text-shadow: 0 0 6px rgba(0,0,0,0.5);
    }

    /* shadows */
    .page-stage {
        position: relative;
        z-index:0;
        overflow: hidden;
    }

    /* limit stage image height */
    /*
    .page-stage {
    height: 0;
    padding-bottom: 20%;
}

    .page-layout-home .page-stage {
    padding-bottom: 31.125%;
}
    */

    /* content */
    .page-content { padding-top: 1.25rem; padding-bottom: .625rem;}

    /* footer */
    .page-footer {
        position: relative;
        overflow: hidden;
    }
    .page-footer::before {
        content: "";
        position: absolute;
        bottom: 100%;
        left: 0;
        right: 0;
        height: 1.25em;
        box-shadow: 0 .625rem 2rem rgba(0,0,0,0.05);
    }

    .page-footer {
        background: rgb(237,237,237);
    }

    .page-footer-top {
        position: relative;
        z-index: 2;
        background: rgb(237,237,237);
        padding-top: 1.25rem;
    }
    .page-footer-bottom {
        position: relative;
        background: rgb(245,245,245);
    }
    .page-footer-bottom::before {
        content: "";
        position: absolute;
        bottom: 100%;
        left: 0;
        right: 0;
        height: 1.25em;
        box-shadow: 0 .625rem 2rem rgb(255,255,255);
    }
    .page-footer-bottom > .wrap-outer {
        position: relative;
        z-index: 2;
    }
    .page-footer .ce-gallery {
        max-width: 16rem;
    }

    .news-related ul {
        padding: 0;
    }

    .news-related-files ul li {
        background-color: rgb(246,246,246);
        padding: .5rem 1rem;
        border-radius: .25rem;
        position: relative;
        display: flex;
    }

    .news-related-files ul li:hover {
        background-color: rgb(174,18,37);
        color: rgb(255,255,255);
    }

    .news-related-files ul li > span {
        padding: .25rem 0 .25rem .5rem;
    }

    .news-related-files .fa {
        font-size: 1.5rem;
        margin-top: .25rem;
        margin-right: .25rem;
        color: rgb(174,18,37);
    }

    .news-related-files li:hover .fa {
        color: rgb(255,255,255);
    }

    .news-related-files-fatlink {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
    }

    .news-related-links ul li {
        list-style: none;
    }

    a:not(.btn).news-related-files-fatlink:focus ,
    a:not(.btn).news-related-files-fatlink:hover {
        background-color: transparent;
    }

}

@media all and (min-width: 30em) {

    .wrap-inner {
        padding-left: 1.25rem;
        padding-right: 1.25rem;
    }
    .page-header-sticky {
        padding-top: 5rem;
    }
    .page-logo {
        width: 3.75rem;
    }

    .logo-subline {
        width: 220%;
    }

    .page-header-buttons {
        padding: .625rem 0;
    }

    .page-stage .ce-frame-headerimage {
        margin: 0 -15vw;
    }

    .page-stage .ce-frame-headerimage .ce-header {
        margin-left: calc(-50vw + 1.25rem);
    }

}

/* tablet + print */
@media all and (min-width: 47.5em), print {

    /* page layout */

    .page-content { padding-top: 1.875rem;}

    /* TODO: remove
    .page-header-topbar {
    padding-left: 14rem;
    padding-right: 0.625rem;
}
    */

    .page-logo {
        /*! margin-top: 0; */
        /*! width: 11.375rem; */
    }

    /* TODO: remove
    .topnav { float: right; }
    */

    .page-header-searchbox .searchbox .search-word { padding: 0.5rem; }

    /* sticky header */
    .page-header-sticky {
        padding-top: 4.0625rem;
    }
    /* TODO: remove
    .page-scrolled {
    padding-top: 2.5rem;
}
    */
    .page-logo
    /* TODO: remove
    ,
    .page-header-topbar
    */
    {
        /*! overflow:hidden; */
        transition: all ease 0.25s;
    }

    /* TODO: remove
    .page-scrolled .page-logo,
    .page-scrolled .page-header-topbar {
    height:0;
    padding:0;
}

    .page-scrolled .page-logo {
    width: 7rem;
    height: 2.5rem;
}
    */

    .page-stage .ce-frame-headerimage {
        margin: 0;
    }
    .page-stage .ce-frame-headerimage .ce-header {
        position: absolute;
        bottom: 1.25rem;
        left: 50%;
        margin: 0;
        margin-left: calc(-50% + 1.25rem);
    }
}

/* desktop */
@media all and (min-width: 62.5em) {

    .page-searchbox-container {
        position: relative;
        z-index: 2;
        float: right;
        width: 8rem;
        margin-left: 1.25rem;
        max-height: 2.875rem;
        transition: max-height .25s ease-in-out, opacity .125s ease-in-out .125s;
    }

    .page-header-sticky.page-scrolled .page-searchbox-container {
        transition: max-height .5s ease-in-out .1s, opacity .25s ease-in-out .1s;
        max-height: 0;
        opacity: 0;
    }

    .page-header-searchbox .search-label {
        clip: rect(1px, 1px, 1px, 1px) !important;
        -webkit-clip-path: inset(50%) !important;
        clip-path: inset(50%) !important;
        height: 1px !important;
        overflow: hidden !important;
        position: absolute !important;
        width: 1px !important;
        white-space: nowrap !important;
    }

    /* page layout */

    .page-grid-large-66-33 .page-col:first-child .content {
        padding-right: 2.5rem;
    }

    .wrap-inner {
        padding-left: 1.25rem;
        padding-right: 1.25rem;
        margin-left: 1.25rem;
        margin-right: 1.25rem;
    }

    .page-grid-large {
        margin-left: -1.25rem;
        margin-right: -1.25rem;
    }
    .page-grid-large .page-col {
        float:left;
        padding-left: 1.25rem;
        padding-right: 1.25rem;
        max-width: 100%;
        min-height: 1px;
    }
    .page-grid-large-66-33 .page-col {
        width: 66.6666%;
    }
    .page-grid-large-66-33 .page-col:last-child {
        width: 33.3333%;
    }

    /* TODO: remove
    .page-header-topbar {
    padding: 0.3125rem 1.875rem 0.3125rem 20rem;
}
    */

    .page-logo {
        width: 8.125rem;
        margin-bottom: -4.0625rem;
    }

    .page-header-sticky .page-logo {
        transition: width .25s ease-in-out;
    }

    .page-header-sticky.page-scrolled .page-logo {
        transition: width .5s ease-in-out .1s;
        width: 4.0625rem
    }

    .page-header-main {
        height: auto;
    }

    .page-header-searchbox {
        float: right;
        margin: 0;
        margin-bottom: .625rem;
        width: 8rem;
        transition: width ease 0.25s;
    }

    /* .page-header-searchbox:hover , */
    .page-header-searchbox:focus-within {
        /* width: 24rem; */
    }

    .page-header-searchbox .searchbox {
        min-height: 2.25rem; /* no searchbox on searchpage, but keep the height */
    }

    .page-header-searchbox .searchbox-inner {
        border: 1px solid #888;
        border-radius: 0.25rem;
        overflow: hidden;
    }

    .page-header-searchbox .search-button {
        /*! background: rgb(204,204,204); */
    }

    .page-header-searchbox .searchbox .search-word {
        padding: 0.3125rem ;
        background: rgba(0,0,0,0.05);
        font-size: 1.125rem;
        line-height: 1.5rem;
    }

    .page-header-searchbar {
        float:left;
    }

    .page-header-navigation {
        float: right;
        clear: right;
        margin-bottom: .625rem;
    }

    /* TODO: remove
    .mainnav {
    clear: both;
    padding: 0 1.875rem;
}
    */

    .page-stage .ce-frame-headerimage .ce-header {
        margin-left: calc(-50% + 2.5rem);
    }

    .page-stage .ce-slider ,
    .page-stage .ce-element .ce-textmedia {
        background: rgb(122,122,122);
    }

    .page-stage .ce-slider .ce-bodytext {
        background: transparent;
    }

    .page-content {
        padding-top: 2.5rem;
        padding-bottom: 0.625rem;
    }

    .page-footer-top {
        padding-top: 2.5rem;
    }

    /* sticky header */
    .page-header-sticky {
        padding-top: 6.6875rem;
    }
    .page-scrolled {
        padding-top: 6.6875rem;
    }

    .page-header-searchbox,
    .page-header-navigation {
        transition: width ease-in-out 0.125s;
    }

    /* TODO: remove
    .page-scrolled .page-header-searchbox {
    position: absolute;
    z-index: 1;
    right: 0;
}

    .page-scrolled .mainnav {
    padding: 0.9375rem 1.875rem;
    padding-right: 15rem;
    background: rgba(0,0,0,0);
}
    */

    .page-header-buttons {
        display: none;
    }

    .logo-subline {
        position: absolute;
        top: 100%;
        right: 0;
        bottom: auto;
        left: 0;
        width: auto;
        margin-left: 0;
        padding: .5rem;
        z-index: 1;
        opacity: 1;
        transition: transform .25s ease-in-out .25s, opacity .25s ease-in-out .25s;
    }

    .page-header-sticky.page-scrolled .logo-subline {
        transition: transform .1s ease-in-out, opacity .1s ease-in-out;
        transform: translateY(-100%);
        opacity: 0;
    }
}

/* desktop - xlarge */
@media (min-width:82.5em) {

    html { overflow-x: hidden; background-color: rgb(102,102,102);} /* needed to hide scrollbar with 100% width elements */
    body { max-width: 100rem; margin: 0 auto; } /* Full HD */

    .wrap-outer {
        margin: 0 auto;
        max-width: 92.5rem;
    }

    /* TODO: remove
    .page-header-main-inner {
    margin: 0 auto;
    max-width: 100rem;
}

    .page-header-topbar-inner {
    margin: 0 auto;
    max-width: 75rem;
    padding: 0.625rem 0rem;
}

    .page-header-topbar {
    padding: 0;
}

    .topnav {
    margin-right: -0.625rem;
}
    */

    .page-header-main-inner {
        padding-top: 1rem;
    }

    .page-logo {
        top: 0;
        left: auto;
        width: 12.5rem;
        margin-bottom: -6.25rem;
    }

    .logo-subline {
        font-size: .875rem;
        font-weight: 400;
        line-height: 1.125;
        padding: .75rem;
    }

    .page-header-desktop-controls {
        float: right;
    }

    .page-header-searchbox {
        padding: 0.125rem 0 0.4375rem 0;
        padding: 0;
        margin-top: .125rem;
        margin-bottom: 0;
        float: left;
    }

    .page-header-navigation {
        clear: none;
        float: left;
    }

    .page-searchbox-container,
    .page-header-navigation {
        margin-top: 1.5625rem;
    }

    .mainnav {
        background:none;
    }

    .page-searchbox-container + .page-header-navigation {
        position: relative;
        z-index: 1;
        opacity: 1;
        transition: opacity .125s ease-in-out .125s;
    }

    /* .page-searchbox-container:hover + .page-header-navigation , */
    .page-searchbox-container:focus-within + .page-header-navigation {
        opacity: 0;
        transition: opacity .125s ease-in-out;
        pointer-events: none;
    }

    /* sticky header */

    .page-searchbox-container {
        transition: none;
        max-height: 5rem;
    }

    .page-header-sticky .page-searchbox-container {
        transition: margin .25s ease-in-out;
        /*! margin-top: 0; */
        max-height: 100%;
        opacity: 1;
    }

    .page-header-sticky.page-scrolled .page-searchbox-container {
        transition: margin .5s ease-in-out .1s;
        margin-top: 0;
        max-height: 100%;
        opacity: 1;
    }

    .page-header-sticky {
        padding-top: 7.25rem;
    }

    .page-header-sticky .page-header-navigation {
        transition: margin .25s ease-in-out, width ease-in-out 0.125s, opacity .125s ease-in-out .125s;
    }

    .page-header-sticky.page-scrolled .page-header-navigation {
        transition: margin .5s ease-in-out .1s, width ease-in-out 0.125s, opacity .125s ease-in-out .125s;
        margin-top: 0;
    }

    /*
    .page-scrolled {
    padding-top: 4.75rem;
}
    .page-scrolled .page-logo {
    width: 7rem;
    height: 2.5rem;
    margin-top: 1.125rem;
}
    */
    .page-header-main-inner {
        position: relative;
    }

    /*
    .page-scrolled .mainnav {
    padding-left: 11.75rem;
}

    .page-scrolled .mainnav::before {
    display: none;
}
    */

    .page-stage .ce-frame-headerimage .ce-header {
        margin-left: calc(-32.5rem - 2.5rem);
    }

    .page-content {
        padding-top: 4.375rem;
        padding-bottom: 2.5rem;
    }
}
